import { IAnalyticalBackend } from "@gooddata/sdk-backend-spi";
import { IWorkspace, IDataSource, IDemoResource, IDemoResourceService, IWorkspacesMetadata, IDemoResourcesMetadata } from "./demoResource";
export declare class GitHubDemoResourceService implements IDemoResourceService {
    backend: IAnalyticalBackend;
    secretKey: string;
    githubOrganization: string;
    githubRepo: string;
    githubBranch: string;
    githubAuthClient: any;
    githubAnonymousClient: any;
    constructor(backend: IAnalyticalBackend, secretKeyBase64: string, githubEncryptedToken: string, githubOrganization?: string, githubRepo?: string, githubBranch?: string);
    getDemoResources(): Promise<IDemoResource[]>;
    doGetDemoResources(): Promise<IDemoResource[]>;
    getDemoResourcesMetadata(): Promise<IDemoResourcesMetadata>;
    getDemoResource(demoResource: string): Promise<IDemoResource>;
    getDataSource(demoResource: string): Promise<IDataSource>;
    getWorkspaces(demoResource: string): Promise<IWorkspace[]>;
    getWorkspacesMetadata(demoResource: string): Promise<IWorkspacesMetadata>;
    getWorkspace(demoResource: string, workspace: string): Promise<IWorkspace>;
    getFileContent(filePath: string): Promise<any>;
    doGetFileContent(githubClient: any, filePath: string): Promise<any>;
    decryptData(demoResource: IDemoResource): void;
    decryptDataSourcePassword(demoResource: IDemoResource): void;
    decryptDataSourceToken(demoResource: IDemoResource): void;
    updateDataSourceIds(demoResource: IDemoResource): void;
    updateWorkspaceIds(demoResource: IDemoResource): void;
    createWorkspaceIdsMapping(workspaces: IWorkspace[]): {};
    decryptText(text: string): string;
}
